### A free/open-source library for quantitative finance

Classes | Public Member Functions
BlackKarasinski Class Reference
Short-rate modelling framework

Standard Black-Karasinski model class. More...

`#include <ql/models/shortrate/onefactormodels/blackkarasinski.hpp>`

Inheritance diagram for BlackKarasinski:
[legend]

List of all members.

## Classes

class | Dynamics
| Short-rate dynamics in the Black-Karasinski model. More...

## Public Member Functions

| BlackKarasinski (const Handle< YieldTermStructure > &termStructure, Real a=0.1, Real sigma=0.1)
boost::shared_ptr < ShortRateDynamics > | dynamics () const
| returns the short-rate dynamics
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Return by default a trinomial recombining tree.

## Detailed Description

Standard Black-Karasinski model class.

This class implements the standard Black-Karasinski model defined by

where and are constants.

Examples:
  BermudanSwaption.cpp.